/* 
 * Just Another Team
 */

package model;

//Timer osztaly
public class Timer implements Runnable {
	// Belso allapot
	private Game game;
	private int period;

	// Konstrukor
	public Timer() {
		game = null;
		period = 1;
	}

	// Elinditja a szalat
	public void run() {
		// Addig leptet, amig meg nem szakitjak
		while (true) {
			try {
				// Periodusonkent lepunk
				Thread.sleep(period);
				game.tick();
			} catch (InterruptedException e) {
				// Megszakitas eseten
				e.printStackTrace();
				break;
			}
		}
	}

	// Setter fuggveny belso tagvaltozohoz
	public void setGame(Game game) {
		this.game = game;
	}

	// Setter fuggveny belso tagvaltozohoz
	public void setPeriod(int ms) {
		period = ms;
	}

	// Lepteti a game osztalyt
	public void tick() {
		game.tick();
	}
}
