/* 
 * Just Another Team
 */

package view;

import java.awt.Graphics2D;
import java.awt.Image;

import javax.swing.ImageIcon;
import model.Bunny;

//BunnyView osztaly
public class BunnyView implements Paintable {

	// Belso referenciak
	private Bunny bunny;
	private View view;

	// Konstrukor
	public BunnyView(Bunny bunny, View view) {
		// Beallitja a tagvaltozokat
		this.bunny = bunny;
		this.view = view;
	}

	// Kirajzolja a nyulat
	@Override
	public void paint(Graphics2D g) {
		// Ha meg letezik a nyul
		if (bunny != null) {
			// Lekerdezzuk a csompont
			int nodeId = bunny.getNodeId();
			// Lekerdezzuk a csomponthoz tartozo megjelenito osztalybol a
			// koordinatakat
			if (nodeId != -1) {
				NodeView nodeView = view.getNodeViews().get(nodeId);
				Image icon2 = new ImageIcon("img/bunny.png").getImage();
				g.drawImage(icon2, nodeView.getX(), nodeView.getY(), null);
			}
		}
	}
}
