/* 
 * Just Another Team
 */

package view;

import java.awt.Graphics2D;
import java.awt.Image;
import javax.swing.ImageIcon;
import model.City;

//CityView osztaly
public class CityView implements Paintable {

	// Belso referenciak
	private City city;
	private View view;

	// Konstrukor
	public CityView(City city, View view, int level) {
		this.city = city;
		this.view = view;
	}

	// Megrajzolja a varost
	@Override
	public void paint(Graphics2D g) {
		Image bg;
		// Hatteret valasztunk palyatol fuggoen
		switch (city.getLevel()) {
		case 0:
			bg = new ImageIcon("img/bg0.jpg").getImage();
			break;
		case 1:
			bg = new ImageIcon("img/bg1.jpg").getImage();
			break;
		case 2:
			bg = new ImageIcon("img/bg2.jpg").getImage();
			break;
		case 3:
			bg = new ImageIcon("img/bg3.jpg").getImage();
			break;
		default:
			bg = new ImageIcon("img/bg0.jpg").getImage();
		}
		// Kirajzoljuk
		g.drawImage(bg, 0, 0, null);
	}
}
